<?php

/*
Theme Name: Sobre
Version: 0.1a
Description: Black and white theme, based on Yoga/dark.
Theme URI: 
Author: Gotcha
Author URI: http://www.julien-moreau.fr
*/

$themeconf = array(
  'parent' => 'default',
  'name'  => 'sobre',
  'local_head'  => 'local_head.tpl',
);

add_event_handler('loc_begin_page_header', 'set_sbre_header');

function set_sbre_header()
{
  global $page, $conf, $template;

  $config = unserialize($conf['Sobre']);

  if (isset($page['body_id']) and $page['body_id'] == 'theCategoryPage')
  {
    $header = isset($page['category']) ? $config['categories'] : $config['home'];
  }
  elseif (isset($page['body_id']) and $page['body_id'] == 'thePicturePage')
  {
    $header = $config['picture'];
  }
  else
  {
    $header = $config['other'];
  }

  $template->assign('display_sbre_banner', $header);
}

?>
